# crosspki

Flutter plugin for handling X509 certificates and key pairs from native platform key stores.

## Using

```dart
import 'dart:convert';
import 'package:crosspki/crosspki.dart';

// Simple signing
await CrossPki.importPkcs12(p12Content, p12Password);
final certificates = await CrossPki.listCertificatesWithKey();
final userCertificate = certificates.first;

final hash = base64Decode('3/1gIbsr1bCvZ2KQgJ7DpTGR3YHH9wpLKGiKNiGCmG8=');
final signature = await CrossPki.signHash(userCert.thumbprint, DigestAlgorithm.sha256, hash);
```

## LICENSE

PROPRIETARY COMMERCIAL LICENSE

This is proprietary software/module part of Lacuna Software PkiSuite.
For licensing please visit [https://lacunasoftware.com](https://lacunasoftware.com)